% vim: set ft=tex
\PassOptionsToPackage{pdfencoding=auto}{hyperref}
\ProvidesClass{custombeamer}

\LoadClass[aspectratio=1610]{beamer}
\usetheme[nofirafonts]{focus}
\usefonttheme[onlymath]{serif}

\RequirePackage{fontspec}
\setsansfont{Fira Sans}
\setmonofont{Iosevka sbruder}

\setbeamertemplate{bibliography item}{%
 \ifboolexpr{ test {\ifentrytype{book}} or test {\ifentrytype{mvbook}}
  or test {\ifentrytype{collection}} or test {\ifentrytype{mvcollection}}
  or test {\ifentrytype{reference}} or test {\ifentrytype{mvreference}} }
  {\setbeamertemplate{bibliography item}[book]}
  {\ifentrytype{image}
   {\setbeamertemplate{bibliography item}{\includegraphics[width=1.5em]{../assets/bibimage}}}
   {\ifentrytype{online}
    {\setbeamertemplate{bibliography item}[online]}
    {\setbeamertemplate{bibliography item}[article]}}}%
 \usebeamertemplate{bibliography item}}
